Subject: Re: RFC2253 e-mail address

From: Michael Ströder <[email-masked]>
Date: Thu, 15 Nov 2001 02:56:56 +0100

"Ramsay, Ron" wrote:
> 
> For true interoperability, some believe you should only use the name forms
> for the attributes in the table in 2.3. This would be the baseline for
> interoperability. To encode an ascii string in BER for this case, you might
> think that the X.500 version of directory string would be meant, this would
> result in the encoding 16 04 41 42 43 44 as the encoding of "ABCD". However,
> I think all that LDAP requires is an octet string wrapper, when the encoding
> would be 04 04 41 42 43 44.

Ron, you raise another issue which BER encoding is used. For me the
conclusion is that RFC 2253 is not sufficient to represent
certificate subject and issuer names in e.g. XML-DSIG.

Ciao, Michael.